- Qt 6.8
- Qt GUI
- C++ Classes
- QShortcutEvent
- Qt 6.8.3 Reference Documentation

# QShortcutEvent Class

The QShortcutEvent class provides an event which is generated when the user presses a key combination. More...

Header: | `#include <QShortcutEvent>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Inherits: | QEvent

- List of all members, including inherited members
- Deprecated members
- QShortcutEvent is part of Event Classes.

## Public Functions

`(since 6.5)` | QShortcutEvent(const QKeySequence &key, const QShortcut *shortcut = nullptr, bool ambiguous = false)
bool | isAmbiguous() const
const QKeySequence & | key() const

## Detailed Description

Normally you do not need to use this class directly; QShortcut provides a higher-level interface to handle shortcut keys.

See also QShortcut.

## Member Function Documentation

### `[since 6.5]` QShortcutEvent::QShortcutEvent(const QKeySequence &key, const QShortcut *shortcut = nullptr, bool ambiguous = false)

Constructs a shortcut event for the given key press, associated with the QShortcut shortcut.

ambiguous specifies whether there is more than one QShortcut for the same key sequence.

This function was introduced in Qt 6.5.

### bool QShortcutEvent::isAmbiguous() const

Returns `true` if the key sequence that triggered the event is ambiguous.

See also QShortcut::activatedAmbiguously().

### const QKeySequence &QShortcutEvent::key() const

Returns the key sequence that triggered the event.